uuid: 5a6228f4-0cdb-4d35-9223-69b82290846d
langcode: en
status: true
dependencies:
  config:
    - entity_browser.browser.image_browser
    - field.field.paragraph.text_and_image.bp_background
    - field.field.paragraph.text_and_image.bp_gutter
    - field.field.paragraph.text_and_image.bp_image_field
    - field.field.paragraph.text_and_image.bp_title
    - field.field.paragraph.text_and_image.bp_title_status
    - field.field.paragraph.text_and_image.bp_width
    - field.field.paragraph.text_and_image.field_bp_classes
    - field.field.paragraph.text_and_image.field_image
    - field.field.paragraph.text_and_image.field_image_position
    - field.field.paragraph.text_and_image.field_text_content
    - field.field.paragraph.text_and_image.text_and_image_style
    - paragraphs.paragraphs_type.text_and_image
  module:
    - advanced_text_formatter
    - entity_browser
    - field_group
    - maxlength
    - text
third_party_settings:
  field_group:
    group_styling_settings:
      children:
        - field_image_position
        - text_and_image_style
        - bp_background
        - field_bp_classes
      label: 'Styling settings'
      region: content
      parent_name: ''
      weight: 2
      format_type: details
      format_settings:
        classes: ''
        id: styling-settings
        open: false
        required_fields: true
    group_components:
      children:
        - group_text
        - group_image
      label: Components
      region: content
      parent_name: ''
      weight: 1
      format_type: tabs
      format_settings:
        classes: ''
        id: ''
        direction: horizontal
    group_text:
      children:
        - field_text_content
      label: Text
      region: content
      parent_name: group_components
      weight: 9
      format_type: tab
      format_settings:
        classes: ''
        id: ''
        formatter: open
        description: ''
        required_fields: true
    group_image:
      children:
        - field_image
      label: Image
      region: content
      parent_name: group_components
      weight: 10
      format_type: tab
      format_settings:
        classes: ''
        id: ''
        formatter: open
        description: ''
        required_fields: true
    group_title:
      children:
        - bp_title
        - bp_title_status
      label: 'Component title'
      region: content
      parent_name: ''
      weight: 0
      format_type: details
      format_settings:
        classes: ''
        id: ''
        open: false
        description: ''
        required_fields: false
_core:
  default_config_hash: tywp7W2RaYqwmNLsf5GOeIUDUAs8oHEWSF55A2GMWCY
id: paragraph.text_and_image.default
targetEntityType: paragraph
bundle: text_and_image
mode: default
content:
  bp_background:
    type: options_buttons
    weight: 9
    region: content
    settings: {  }
    third_party_settings: {  }
  bp_title:
    type: string_textfield
    weight: 1
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings:
      maxlength:
        maxlength_js: null
        maxlength_js_label: 'Content limited to @limit characters, remaining: <strong>@remaining</strong>'
      advanced_text_formatter:
        show_token_tree: 0
  bp_title_status:
    type: boolean_checkbox
    weight: 2
    region: content
    settings:
      display_label: true
    third_party_settings: {  }
  field_bp_classes:
    type: options_select
    weight: 10
    region: content
    settings: {  }
    third_party_settings: {  }
  field_image:
    type: entity_browser_entity_reference
    weight: 2
    region: content
    settings:
      entity_browser: image_browser
      field_widget_display: rendered_entity
      field_widget_edit: true
      field_widget_remove: true
      field_widget_replace: false
      open: true
      field_widget_display_settings:
        view_mode: field_preview
      selection_mode: selection_append
    third_party_settings: {  }
  field_image_position:
    type: options_buttons
    weight: 7
    region: content
    settings: {  }
    third_party_settings: {  }
  field_text_content:
    type: text_textarea
    weight: 29
    region: content
    settings:
      rows: 5
      placeholder: ''
    third_party_settings: {  }
  text_and_image_style:
    type: options_buttons
    weight: 8
    region: content
    settings: {  }
    third_party_settings: {  }
hidden:
  bp_gutter: true
  bp_image_field: true
  bp_width: true
  created: true
  status: true
  uid: true
